Bug 365608 - Akregator crashes when shutting down
Summary: Akregator crashes when shutting down
Status: RESOLVED FIXED
Alias: None
Product: akregator
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Exherbo Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 368798 371531 376130 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-07-13 12:41 UTC by Heiko Becker
Modified: 2017-02-09 20:05 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Becker 2016-07-13 12:41:43 UTC
Application: akregator (5.2.80 beta1 (QtWebEngine))

Qt Version: 5.7.0
Frameworks Version: 5.24.0
Operating System: Linux 4.6.3 x86_64
Distribution (Platform): Exherbo Packages

-- Information about the crash:
Every time I close akregator it crashes reproducible. I've seen this since switching to master ~2 weeks ago.

The crash can be reproduced every time.

-- Backtrace:
Application: Akregator (akregator), signal: Segmentation fault
Using host libthread_db library "/usr/x86_64-pc-linux-gnu/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f5023cc0840 (LWP 1505))]

Thread 24 (Thread 0x7f4f8e459700 (LWP 1543)):
#0  0x00007f5018c1ff6f in pthread_cond_wait () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#1  0x00007f500a900b84 in QTWTF::TCMalloc_PageHeap::scavengerThread() () from /usr/x86_64-pc-linux-gnu/lib/libQt5Script.so.5
#2  0x00007f500a900bc9 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/x86_64-pc-linux-gnu/lib/libQt5Script.so.5
#3  0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#4  0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 23 (Thread 0x7f4f8ffff700 (LWP 1534)):
#0  0x00007f5018c1ff6f in pthread_cond_wait () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#1  0x00007f500f089f85 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#2  0x00007f500f08a589 in base::SequencedWorkerPool::Worker::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#3  0x00007f500f08ae26 in base::SimpleThread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#4  0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#6  0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 22 (Thread 0x7f4fa0d0e700 (LWP 1532)):
#0  0x00007f5018c1ff6f in pthread_cond_wait () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#1  0x00007f500f089f85 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#2  0x00007f500f08a589 in base::SequencedWorkerPool::Worker::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#3  0x00007f500f08ae26 in base::SimpleThread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#4  0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#6  0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 21 (Thread 0x7f4fa37fe700 (LWP 1531)):
#0  0x00007f501fa69a5d in poll () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#1  0x00007f5016f375e6 in g_main_context_iterate.isra () from /usr/x86_64-pc-linux-gnu/lib/libglib-2.0.so.0
#2  0x00007f5016f376ec in g_main_context_iteration () from /usr/x86_64-pc-linux-gnu/lib/libglib-2.0.so.0
#3  0x00007f502036ceab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/x86_64-pc-linux-gnu/lib/libQt5Core.so.5
#4  0x00007f50203199ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/x86_64-pc-linux-gnu/lib/libQt5Core.so.5
#5  0x00007f5020158d7b in QThread::exec() () from /usr/x86_64-pc-linux-gnu/lib/libQt5Core.so.5
#6  0x00007f502015d7a2 in QThreadPrivate::start(void*) () from /usr/x86_64-pc-linux-gnu/lib/libQt5Core.so.5
#7  0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#8  0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 20 (Thread 0x7f4fa3fff700 (LWP 1530)):
#0  0x00007f5018c1ff6f in pthread_cond_wait () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#1  0x00007f500f089f85 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#2  0x00007f500f08a589 in base::SequencedWorkerPool::Worker::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#3  0x00007f500f08ae26 in base::SimpleThread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#4  0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#6  0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 19 (Thread 0x7f4fccff9700 (LWP 1528)):
#0  0x00007f5018c20318 in pthread_cond_timedwait () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#1  0x00007f500f07f3f2 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#2  0x00007f500f07fc6d in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#3  0x00007f500f0617b9 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#4  0x00007f500f07334a in base::RunLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#5  0x00007f500f05dc55 in base::MessageLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#6  0x00007f500f08b2d4 in base::Thread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#7  0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#9  0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 18 (Thread 0x7f4fcd7fa700 (LWP 1527)):
#0  0x00007f5018c1ff6f in pthread_cond_wait () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#1  0x00007f500e76f3ad in cc::SingleThreadTaskGraphRunner::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#2  0x00007f500f08ad21 in base::DelegateSimpleThread::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#3  0x00007f500f08ae26 in base::SimpleThread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#4  0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#6  0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 17 (Thread 0x7f4fcdffb700 (LWP 1526)):
#0  0x00007f501fa7f04b in __lll_lock_wait_private () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#1  0x00007f501f9d498d in buffered_vfprintf () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#2  0x00007f501f9d1d05 in vfprintf () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#3  0x00007f501f9d9be7 in fprintf () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#4  0x00007f500236c549 in _warn_helper () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#5  0x00007f500236c717 in event_warn () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#6  0x00007f5002370b28 in epoll_dispatch () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#7  0x00007f500235b0dd in event_base_loop () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#8  0x00007f500f039ac5 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#9  0x00007f500f07334a in base::RunLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#10 0x00007f500f05dc55 in base::MessageLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#11 0x00007f500f08b2d4 in base::Thread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#12 0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#13 0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#14 0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 16 (Thread 0x7f4fce7fc700 (LWP 1525)):
#0  0x00007f5018c1ff6f in pthread_cond_wait () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#1  0x00007f500f07fbdd in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#2  0x00007f500f07fcc0 in base::WaitableEvent::Wait() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#3  0x00007f500f06177c in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#4  0x00007f500f07334a in base::RunLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#5  0x00007f500f05dc55 in base::MessageLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#6  0x00007f500f08b2d4 in base::Thread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#7  0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#9  0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 15 (Thread 0x7f4fceffd700 (LWP 1524)):
#0  0x00007f5018c1ff6f in pthread_cond_wait () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#1  0x00007f500ec54af0 in mojo::system::Waiter::Wait(unsigned long, unsigned long*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#2  0x00007f500ec3dfd0 in mojo::system::Core::WaitManyInternal(unsigned int const*, unsigned int const*, unsigned int, unsigned long, unsigned int*, mojo::system::HandleSignalsState*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#3  0x00007f500ec3e35b in mojo::system::Core::Wait(unsigned int, unsigned int, unsigned long, mojo::system::UserPointer<MojoHandleSignalsState>) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#4  0x00007f500ec3a10a in MojoWait () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#5  0x00007f500fe8a1eb in mojo::common::MessagePumpMojo::WaitForReadyHandles(mojo::common::MessagePumpMojo::RunState const&) const () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#6  0x00007f500fe8bfa4 in mojo::common::MessagePumpMojo::DoInternalWork(mojo::common::MessagePumpMojo::RunState const&, bool) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#7  0x00007f500fe8bff5 in mojo::common::MessagePumpMojo::DoRunLoop(mojo::common::MessagePumpMojo::RunState*, base::MessagePump::Delegate*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#8  0x00007f500fe8c0c9 in mojo::common::MessagePumpMojo::Run(base::MessagePump::Delegate*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#9  0x00007f500f07334a in base::RunLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#10 0x00007f500f05dc55 in base::MessageLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#11 0x00007f500f08b2d4 in base::Thread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#12 0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#13 0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#14 0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 14 (Thread 0x7f4fcf7fe700 (LWP 1523)):
#0  0x00007f5018c1ff6f in pthread_cond_wait () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#1  0x00007f500f07fbdd in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#2  0x00007f500f07fcc0 in base::WaitableEvent::Wait() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#3  0x00007f500f06177c in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#4  0x00007f500f07334a in base::RunLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#5  0x00007f500f05dc55 in base::MessageLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#6  0x00007f500f08b2d4 in base::Thread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#7  0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#9  0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 13 (Thread 0x7f4fcffff700 (LWP 1522)):
#0  0x00007f501fa7f04b in __lll_lock_wait_private () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#1  0x00007f501f9d498d in buffered_vfprintf () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#2  0x00007f501f9d1d05 in vfprintf () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#3  0x00007f501f9d9be7 in fprintf () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#4  0x00007f500236c549 in _warn_helper () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#5  0x00007f500236c717 in event_warn () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#6  0x00007f5002370b28 in epoll_dispatch () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#7  0x00007f500235b0dd in event_base_loop () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#8  0x00007f500f039b7a in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#9  0x00007f500f07334a in base::RunLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#10 0x00007f500f05dc55 in base::MessageLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#11 0x00007f500e3a2395 in content::BrowserThreadImpl::IOThreadRun(base::MessageLoop*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#12 0x00007f500e3a249b in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#13 0x00007f500f08b348 in base::Thread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#14 0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#15 0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#16 0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 12 (Thread 0x7f4fe0ff9700 (LWP 1521)):
#0  0x00007f501f9fd931 in _IO_no_init () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#1  0x00007f501f9f9017 in vsnprintf () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#2  0x00007f500236d6d1 in evutil_vsnprintf () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#3  0x00007f500236c479 in _warn_helper () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#4  0x00007f500236c717 in event_warn () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#5  0x00007f5002370b28 in epoll_dispatch () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#6  0x00007f500235b0dd in event_base_loop () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#7  0x00007f500f039a2e in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#8  0x00007f500f07334a in base::RunLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#9  0x00007f500f05dc55 in base::MessageLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#10 0x00007f500e3a2315 in content::BrowserThreadImpl::CacheThreadRun(base::MessageLoop*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#11 0x00007f500e3a24fb in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#12 0x00007f500f08b348 in base::Thread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#13 0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#14 0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#15 0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 11 (Thread 0x7f4fe17fa700 (LWP 1520)):
#0  0x00007f5018c1ff6f in pthread_cond_wait () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#1  0x00007f500f07fbdd in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#2  0x00007f500f07fcc0 in base::WaitableEvent::Wait() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#3  0x00007f500f06177c in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#4  0x00007f500f07334a in base::RunLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#5  0x00007f500f05dc55 in base::MessageLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#6  0x00007f500e3a2295 in content::BrowserThreadImpl::ProcessLauncherThreadRun(base::MessageLoop*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#7  0x00007f500e3a24eb in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#8  0x00007f500f08b348 in base::Thread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#9  0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#10 0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#11 0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 10 (Thread 0x7f4fe1ffb700 (LWP 1519)):
#0  0x00007f5018c1ff6f in pthread_cond_wait () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#1  0x00007f500f07fbdd in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#2  0x00007f500f07fcc0 in base::WaitableEvent::Wait() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#3  0x00007f500f06177c in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#4  0x00007f500f07334a in base::RunLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#5  0x00007f500f05dc55 in base::MessageLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#6  0x00007f500e3a2215 in content::BrowserThreadImpl::FileUserBlockingThreadRun(base::MessageLoop*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#7  0x00007f500e3a24db in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#8  0x00007f500f08b348 in base::Thread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#9  0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#10 0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#11 0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 9 (Thread 0x7f4fe27fc700 (LWP 1518)):
#0  0x00007f501fa65b4d in write () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#1  0x00007f501f9fb59f in _IO_file_write () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#2  0x00007f501f9fab56 in new_do_write () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#3  0x00007f501f9fbbbe in _IO_file_xsputn () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#4  0x00007f501f9d49c7 in buffered_vfprintf () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#5  0x00007f501f9d1d05 in vfprintf () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#6  0x00007f501f9d9be7 in fprintf () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#7  0x00007f500236c549 in _warn_helper () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#8  0x00007f500236c717 in event_warn () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#9  0x00007f5002370b28 in epoll_dispatch () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#10 0x00007f500235b0dd in event_base_loop () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#11 0x00007f500f039ac5 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#12 0x00007f500f07334a in base::RunLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#13 0x00007f500f05dc55 in base::MessageLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#14 0x00007f500e3a2195 in content::BrowserThreadImpl::FileThreadRun(base::MessageLoop*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#15 0x00007f500e3a24cb in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#16 0x00007f500f08b348 in base::Thread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#17 0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#18 0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#19 0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 8 (Thread 0x7f4fe2ffd700 (LWP 1517)):
#0  0x00007f5018c1ff6f in pthread_cond_wait () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#1  0x00007f500f07fbdd in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#2  0x00007f500f07fcc0 in base::WaitableEvent::Wait() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#3  0x00007f500f06177c in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#4  0x00007f500f07334a in base::RunLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#5  0x00007f500f05dc55 in base::MessageLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#6  0x00007f500e3a2115 in content::BrowserThreadImpl::DBThreadRun(base::MessageLoop*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#7  0x00007f500e3a24bb in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#8  0x00007f500f08b348 in base::Thread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#9  0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#10 0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#11 0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 7 (Thread 0x7f4fe37fe700 (LWP 1514)):
#0  0x00007f5018c20318 in pthread_cond_timedwait () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#1  0x00007f500f07f3f2 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#2  0x00007f500f08dc92 in base::PosixDynamicThreadPool::WaitForTask() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#3  0x00007f500f08e26e in base::(anonymous namespace)::WorkerThread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#4  0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#6  0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 6 (Thread 0x7f4fe3fff700 (LWP 1513)):
#0  0x00007f5018c20318 in pthread_cond_timedwait () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#1  0x00007f500f07f3f2 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#2  0x00007f500f08dc92 in base::PosixDynamicThreadPool::WaitForTask() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#3  0x00007f500f08e26e in base::(anonymous namespace)::WorkerThread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#4  0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#6  0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 5 (Thread 0x7f4ff0fd0700 (LWP 1512)):
#0  0x00007f5018c1ff6f in pthread_cond_wait () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#1  0x00007f500f07fbdd in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#2  0x00007f500f07fcc0 in base::WaitableEvent::Wait() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#3  0x00007f500f06177c in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#4  0x00007f500f07334a in base::RunLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#5  0x00007f500f05dc55 in base::MessageLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#6  0x00007f500f08b2d4 in base::Thread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#7  0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#9  0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 4 (Thread 0x7f4ff17d1700 (LWP 1511)):
#0  0x00007f501fa73073 in epoll_wait () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#1  0x00007f5002370a0b in epoll_dispatch () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#2  0x00007f500235b0dd in event_base_loop () from /usr/x86_64-pc-linux-gnu/lib/libevent-2.0.so.5
#3  0x00007f500f039ac5 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#4  0x00007f500f07334a in base::RunLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#5  0x00007f500f05dc55 in base::MessageLoop::Run() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#6  0x00007f500f08b2d4 in base::Thread::ThreadMain() () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#7  0x00007f500f087bba in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/x86_64-pc-linux-gnu/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#9  0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 3 (Thread 0x7f4ff3df6700 (LWP 1507)):
#0  0x00007f501fa69a5d in poll () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#1  0x00007f5016f375e6 in g_main_context_iterate.isra () from /usr/x86_64-pc-linux-gnu/lib/libglib-2.0.so.0
#2  0x00007f5016f376ec in g_main_context_iteration () from /usr/x86_64-pc-linux-gnu/lib/libglib-2.0.so.0
#3  0x00007f502036ceab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/x86_64-pc-linux-gnu/lib/libQt5Core.so.5
#4  0x00007f50203199ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/x86_64-pc-linux-gnu/lib/libQt5Core.so.5
#5  0x00007f5020158d7b in QThread::exec() () from /usr/x86_64-pc-linux-gnu/lib/libQt5Core.so.5
#6  0x00007f50207814f5 in QDBusConnectionManager::run() () from /usr/x86_64-pc-linux-gnu/lib/libQt5DBus.so.5
#7  0x00007f502015d7a2 in QThreadPrivate::start(void*) () from /usr/x86_64-pc-linux-gnu/lib/libQt5Core.so.5
#8  0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#9  0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 2 (Thread 0x7f4ffb6c9700 (LWP 1506)):
#0  0x00007f501fa69a5d in poll () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6
#1  0x00007f5016849620 in _xcb_conn_wait () from /usr/x86_64-pc-linux-gnu/lib/libxcb.so.1
#2  0x00007f501684b2b9 in xcb_wait_for_event () from /usr/x86_64-pc-linux-gnu/lib/libxcb.so.1
#3  0x00007f4ffd5c6879 in QXcbEventReader::run() () from /usr/x86_64-pc-linux-gnu/lib/libQt5XcbQpa.so.5
#4  0x00007f502015d7a2 in QThreadPrivate::start(void*) () from /usr/x86_64-pc-linux-gnu/lib/libQt5Core.so.5
#5  0x00007f5018c1a3b4 in start_thread () from /usr/x86_64-pc-linux-gnu/lib/libpthread.so.0
#6  0x00007f501fa72a7d in clone () from /usr/x86_64-pc-linux-gnu/lib/libc.so.6

Thread 1 (Thread 0x7f5023cc0840 (LWP 1505)):
[KCrash Handler]
#6  0x00007f4ff296201b in Akregator::SubscriptionListModel::index(int, int, QModelIndex const&) const () from /usr/x86_64-pc-linux-gnu/lib/qt5/plugins/akregatorpart.so
#7  0x00007f5021c1a7e1 in QTreeView::isRowHidden(int, QModelIndex const&) const () from /usr/x86_64-pc-linux-gnu/lib/libQt5Widgets.so.5
#8  0x00007f5021c1a857 in QTreeView::isIndexHidden(QModelIndex const&) const () from /usr/x86_64-pc-linux-gnu/lib/libQt5Widgets.so.5
#9  0x00007f5021c1654a in QTreeView::visualRegionForSelection(QItemSelection const&) const () from /usr/x86_64-pc-linux-gnu/lib/libQt5Widgets.so.5
#10 0x00007f5021bd9f93 in QAbstractItemView::selectionChanged(QItemSelection const&, QItemSelection const&) () from /usr/x86_64-pc-linux-gnu/lib/libQt5Widgets.so.5
#11 0x00007f5021c255ca in QTreeView::selectionChanged(QItemSelection const&, QItemSelection const&) () from /usr/x86_64-pc-linux-gnu/lib/libQt5Widgets.so.5
#12 0x00007f5021bdf2a4 in QAbstractItemView::setSelectionModel(QItemSelectionModel*) () from /usr/x86_64-pc-linux-gnu/lib/libQt5Widgets.so.5
#13 0x00007f5021c2388a in QTreeView::setSelectionModel(QItemSelectionModel*) () from /usr/x86_64-pc-linux-gnu/lib/libQt5Widgets.so.5
#14 0x00007f5021bd9d98 in QAbstractItemView::setModel(QAbstractItemModel*) () from /usr/x86_64-pc-linux-gnu/lib/libQt5Widgets.so.5
#15 0x00007f5021c2368a in QTreeView::setModel(QAbstractItemModel*) () from /usr/x86_64-pc-linux-gnu/lib/libQt5Widgets.so.5
#16 0x00007f4ff296015d in Akregator::SubscriptionListView::setModel(QAbstractItemModel*) () from /usr/x86_64-pc-linux-gnu/lib/qt5/plugins/akregatorpart.so
#17 0x00007f4ff29786d6 in Akregator::SelectionController::setFeedList(QSharedPointer<Akregator::FeedList> const&) () from /usr/x86_64-pc-linux-gnu/lib/qt5/plugins/akregatorpart.so
#18 0x00007f4ff29a1789 in Akregator::MainWidget::setFeedList(QSharedPointer<Akregator::FeedList> const&) () from /usr/x86_64-pc-linux-gnu/lib/qt5/plugins/akregatorpart.so
#19 0x00007f4ff29a18ed in Akregator::MainWidget::slotOnShutdown() () from /usr/x86_64-pc-linux-gnu/lib/qt5/plugins/akregatorpart.so
#20 0x00007f4ff2997566 in Akregator::Part::slotOnShutdown() () from /usr/x86_64-pc-linux-gnu/lib/qt5/plugins/akregatorpart.so
#21 0x00007f4ff2997cc8 in Akregator::Part::~Part() () from /usr/x86_64-pc-linux-gnu/lib/qt5/plugins/akregatorpart.so
#22 0x00007f4ff2997d19 in Akregator::Part::~Part() () from /usr/x86_64-pc-linux-gnu/lib/qt5/plugins/akregatorpart.so
#23 0x00007f50203459c0 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/x86_64-pc-linux-gnu/lib/libQt5Core.so.5
#24 0x00007f5020321bab in QCoreApplication::exec() () from /usr/x86_64-pc-linux-gnu/lib/libQt5Core.so.5
#25 0x0000000000409766 in main ()

Reported using DrKonqi
Comment 1 Laurent Montel 2016-07-19 11:51:31 UTC
Git commit c1c7fdc06fc96371be79f8a8b462c10b9b114b47 by Montel Laurent.
Committed on 19/07/2016 at 11:48.
Pushed by mlaurent into branch 'Applications/16.08'.

Fix Bug 365608: Akregator crashes when shutting down
FIXED-IN: 5.3.0

M  +7    -3    akregator/src/selectioncontroller.cpp

http://commits.kde.org/kdepim/c1c7fdc06fc96371be79f8a8b462c10b9b114b47
Comment 2 Christoph Feck 2017-02-09 19:55:42 UTC
*** Bug 368798 has been marked as a duplicate of this bug. ***
Comment 3 Christoph Feck 2017-02-09 19:55:53 UTC
*** Bug 371531 has been marked as a duplicate of this bug. ***
Comment 4 Christoph Feck 2017-02-09 19:55:59 UTC
*** Bug 376130 has been marked as a duplicate of this bug. ***
Comment 5 Alex 2017-02-09 20:05:39 UTC
After a reboot of the system the problem is gone.

Thanks